Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 610941 - kprobes-generated kernel crash: Bad EIP value
kprobes-generated kernel crash: Bad EIP value
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 15:39 EDT by Frank Ch. Eigler
Modified: 2010-08-30 14:24 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.34.6-47.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 607215
Environment:
Last Closed: 2010-08-30 14:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2010-07-02 15:39:55 EDT
+++ This bug was initially created as a clone of Bug #607215 +++
+++ This bug was initially created as a clone of Bug #585400 +++

Two separate kprobes-related problems have demonstrated crashes
on recent fedoras (as well as on RHEL6, whence this bug was cloned).
The following patches should be applied active Fedora kernels.

linus commit 829e924                       Fix removed int3 checking order
https://patchwork.kernel.org/patch/108500/ Fix kprobes to skip prefixes correctly

Both of these affect x86.
Comment 1 Chuck Ebbert 2010-07-07 00:34:06 EDT
(In reply to comment #1)
> https://patchwork.kernel.org/patch/108500/ Fix kprobes to skip prefixes
> correctly
> 

I do not see this patch in any upstream git tree.
Comment 2 Frank Ch. Eigler 2010-08-13 14:21:59 EDT
It is in mingo's tip/auto-latest.
Comment 3 Chuck Ebbert 2010-08-17 00:12:23 EDT
Commit 829e924 is in 2.6.34, which is in updates-testing for f13.

The other patch is upstream now as commit 567a9fd and is needed in 2.6.34 and 2.6.35 (f14).
Comment 4 Chuck Ebbert 2010-08-27 04:42:20 EDT
Fixed in 2.6.34.6-47.fc13 and 2.6.35.4-12.fc14
Comment 5 Fedora Update System 2010-08-27 07:24:25 EDT
kernel-2.6.34.6-47.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kernel-2.6.34.6-47.fc13
Comment 6 Fedora Update System 2010-08-30 14:23:11 EDT
kernel-2.6.34.6-47.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.